Package org.eclipse.net4j.util.concurrent

## Class Sleeper

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.Sleeper

-     @Deprecated
      public class Sleeper
      extends java.lang.Object

  Deprecated.
  As of 3.9 subject to future removal.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Sleeper()` | Deprecated.
    `Sleeper​(int interval)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getInterval()` | Deprecated.
    `long` | `getStart()` | Deprecated.
    `void` | `resleep​(long millis)` | Deprecated.
    `void` | `restart()` | Deprecated.
    `void` | `sleep​(long millis)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sleeper

          public Sleeper()

      Deprecated.

    - #### Sleeper

          public Sleeper​(int interval)

      Deprecated.

  - ### Method Detail

    - #### getInterval

          public int getInterval()

      Deprecated.

    - #### getStart

          public long getStart()

      Deprecated.

    - #### restart

          public void restart()

      Deprecated.

    - #### sleep

          public void sleep​(long millis)

      Deprecated.

    - #### resleep

          public void resleep​(long millis)

      Deprecated.